Bug 1520703 - ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer
Summary: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-05 01:34 UTC by andrew
Modified: 2020-05-02 04:55 UTC (History)
31 users (show)

Fixed In Version: kernel-5.4.7-200
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-06 08:16:32 UTC
Type: Bug


Attachments (Terms of Use)
acpidump data from HP Envy x360 15-cp0xxx (873.53 KB, text/plain)
2018-12-29 19:10 UTC, Luya Tshimbalanga
no flags Details
dmesg from amd raven ridge Ryzen 2500u (264.83 KB, text/plain)
2019-12-06 09:13 UTC, Luya Tshimbalanga
no flags Details
acpidump from HP Envy x360 15-cp0xxx (879.90 KB, text/plain)
2019-12-06 16:24 UTC, Luya Tshimbalanga
no flags Details
dmesg from amd raven ridge Ryzen 2500u with fixed bug (83.33 KB, text/plain)
2019-12-18 01:25 UTC, Luya Tshimbalanga
no flags Details


Links
System ID Priority Status Summary Last Updated
Linux Kernel 201981 None None None 2019-06-27 03:10:57 UTC

Description andrew 2017-12-05 01:34:08 UTC
Description of problem:

ACPI errors on the HP 170g121wm laptop

Version-Release number of selected component (if applicable):


How reproducible:
all the time

Steps to Reproduce:
1.boot
2.
3.

Actual results:
ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (1
Dec 04 15:47:15 hp kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170531/psparse-
Dec 04 15:47:15 hp kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170531
Dec 04 15:47:15 hp kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (1
Dec 04 15:47:15 hp kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170531/psparse-
Dec 04 15:47:15 hp kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170531
Dec 04 15:47:15 hp kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (1
Dec 04 15:47:15 hp kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170531/psparse-
Dec 04 15:47:15 hp kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170531
Dec 04 15:47:15 hp kernel: input: HP WMI hotkeys as /devices/virtual/input/input9
Dec 04 15:47:15 hp kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (1
Dec 04 15:47:15 hp kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170531/psparse-
Dec 04 15:47:15 hp kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170531
Dec 04 15:47:15 hp kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (1
Dec 04 15:47:15 hp kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170531/psparse-
Dec 04 15:47:15 hp kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170531


Expected results:
no errors

Additional info:

Comment 1 andrew 2017-12-05 01:37:00 UTC
the /var/log/messages - https://paste.fedoraproject.org/paste/HgdBwMU~q8Smp6RzBMhi6Q

Comment 2 Laura Abbott 2018-02-20 19:51:20 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 3 D. Hugh Redelmeier 2018-02-21 06:10:58 UTC
I am running 4.15.3-300.fc27.x86_64 on my desktop.  These messages still appear.  They have for years.

The computer is an HP ENVY 700-019 Desktop PC and the last firmware release was in 2014.

I have no idea if this is a firmware bug, or a kernel bug.  I don't know of any consequence.

Comment 4 Talha Khan 2018-02-26 06:42:19 UTC
I have the same problem. Here is my journalctl output:

I am running Fedora 27 x64 KDE spin on HP Envy x360 with AMD 2500U APU and kernel 4.15:



Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170831/dsopcode-235)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170831/dsopcode-235)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170831/dsopcode-235)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Feb 26 01:18:31 infinity.localdomain kernel: input: HP WMI hotkeys as /devices/virtual/input/input17
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170831/dsopcode-235)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170831/dsopcode-235)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Feb 26 01:18:31 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Feb 26 01:18:31 infinity.localdomain kernel: acer_wmi: Acer Laptop ACPI-WMI Extras
Feb 26 01:18:31 infinity.localdomain kernel: acer_wmi: Unsupported machine has AMW0_GUID1, unable to load

Comment 5 Talha Khan 2018-03-15 04:19:34 UTC
Still happening on kernel 4.15.8-300.fc27:

Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170831/dsopcode-235)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170831/dsopcode-235)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170831/dsopcode-235)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Mar 15 00:11:12 infinity.localdomain kernel: input: HP WMI hotkeys as /devices/virtual/input/input9
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170831/dsopcode-235)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170831/dsopcode-235)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20170831/psparse-550)
Mar 15 00:11:12 infinity.localdomain kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170831/psparse-550)

Comment 6 gdudog 2018-06-20 09:20:57 UTC
Still shows in Fedora28 as described by andrew.

Linux localhost.localdomain 4.16.15-300.fc28.x86_64 #1 SMP Tue Jun 12 00:42:35 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

System Information
	Manufacturer: Hewlett-Packard
	Product Name: HP Pavilion 15 Notebook PC 

[   23.228947] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180105/dsopcode-235)
[   23.228964] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180105/psparse-550)
[   23.229278] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180105/psparse-550)
[   23.229466] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180105/dsopcode-235)
[   23.229473] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180105/psparse-550)
[   23.229487] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180105/psparse-550)
[   23.229573] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180105/dsopcode-235)
[   23.229580] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180105/psparse-550)
[   23.229594] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180105/psparse-550)
[   23.229700] input: HP WMI hotkeys as /devices/virtual/input/input10
[   23.229996] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180105/dsopcode-235)
[   23.230019] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180105/psparse-550)
[   23.230429] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180105/psparse-550)
[   23.230518] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180105/dsopcode-235)
[   23.230525] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180105/psparse-550)
[   23.230537] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180105/psparse-550)

Comment 7 Justin M. Forbes 2018-07-23 14:59:41 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 8 Justin M. Forbes 2018-08-29 14:58:01 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 9 D. Hugh Redelmeier 2018-08-29 17:56:04 UTC
I cannot change the status back, but...

I still get this with my HP Envy 700-019 Desktop PC

There is an extract from dmseg output:

[    3.313707] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180313/dsopcode-201)
[    3.313768] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180313/psparse-516)
[    3.313816] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180313/psparse-516)
[    3.313899] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180313/dsopcode-201)
[    3.313951] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180313/psparse-516)
[    3.313995] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180313/psparse-516)
[    3.314819] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180313/dsopcode-201)
[    3.314874] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180313/psparse-516)
[    3.314921] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180313/psparse-516)
[    3.315018] input: HP WMI hotkeys as /devices/virtual/input/input6
[    3.316072] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180313/dsopcode-201)
[    3.316128] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180313/psparse-516)
[    3.316787] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180313/psparse-516)
[    3.316856] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180313/dsopcode-201)
[    3.316902] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180313/psparse-516)
[    3.316941] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180313/psparse-516)

Comment 10 D. Hugh Redelmeier 2018-08-29 18:05:57 UTC
I forgot to mention in comment 9 that the computer is running Fedora 28 with all updates:

Linux version 4.17.18-200.fc28.x86_64 (mockbuild@bkernel04.phx2.fedoraproject.org) (gcc version 8.1.1 20180712 (Red Hat 8.1.1-5) (GCC)) #1 SMP Wed Aug 22 19:08:07 UTC 2018

Comment 11 Talha Khan 2018-09-14 11:55:18 UTC
Still happening with Fedora 28 kernel 4.18.5-200.fc28.x86_64. As mentioned before, I am running on a HP Envy x360 with AMD Ryzen 5 2500U APU.

Here's my dmesg output:

[    4.449906] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)                                                                                                  
[    4.449954] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.450178] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.450298] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)                                                                                                  
[    4.450340] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.450375] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.450447] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)                                                                                                  
[    4.450488] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.450522] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.450610] input: HP WMI hotkeys as /devices/virtual/input/input15
[    4.450978] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)                                                                                                  
[    4.451027] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.451102] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.451176] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)                                                                                                  
[    4.451216] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.451249] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)

Comment 12 Talha Khan 2018-09-21 14:16:07 UTC
Still happening with Fedora 28 kernel 4.18.8-200.fc28.x86_64.

Here's my dmesg output:

[    5.505839] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    5.505846] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    5.505854] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    5.505901] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    5.505905] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    5.505909] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    5.505958] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    5.505971] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    5.505977] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    5.507728] acer_wmi: Acer Laptop ACPI-WMI Extras
[    5.507736] acer_wmi: Unsupported machine has AMW0_GUID1, unable to load
[    5.509288] kvm: Nested Virtualization enabled
[    5.509295] kvm: Nested Paging enabled
[    5.509296] SVM: Virtual VMLOAD VMSAVE supported
[    5.509296] SVM: Virtual GIF supported
[    5.512796] input: HP WMI hotkeys as /devices/virtual/input/input15
[    5.515140] MCE: In-kernel MCE decoding enabled.
[    5.515158] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    5.515168] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    5.515455] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    5.515557] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    5.515562] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    5.515569] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)

Comment 13 Talha Khan 2018-09-24 19:46:03 UTC
Still happening on Fedora 28 kernel 4.18.9-200.fc28.x86_64.

from journalctl:

kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
kernel: input: HP WMI hotkeys as /devices/virtual/input/input15
kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
kernel: ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
kernel: ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
kernel: ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)

Comment 14 Talha Khan 2018-10-01 20:31:53 UTC
Still happening in kernel 4.18.10-200.fc28.x86_64.

Here's the dmesg output:

[    4.651573] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    4.651656] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.651717] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.651833] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    4.651903] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.651964] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.652103] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    4.652175] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.652232] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.652378] input: HP WMI hotkeys as /devices/virtual/input/input15
[    4.652617] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    4.652680] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.652743] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.652837] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    4.652896] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    4.652946] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)

Comment 15 Talha Khan 2018-11-21 14:33:15 UTC
Still happening in Fedora 29, Kernel 4.19.2-300.fc29.x86_64. 

Here's the dmesg output:

[    6.126104] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.126113] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.126124] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.126181] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.126184] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.126190] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.126242] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.126246] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.126252] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.126359] input: HP WMI hotkeys as /devices/virtual/input/input15
[    6.127286] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.127293] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.127301] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.127354] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.127358] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.127364] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)

Comment 16 Kyriakos Fytrakis 2018-11-24 11:06:25 UTC
Fedora 29, Kernel 4.19.3-300.fc29.x86_64

%

OUTPUTS:

inxi -Fxz:

System:
  Host: hp-spectre-x360 Kernel: 4.19.3-300.fc29.x86_64 x86_64 bits: 64 
  compiler: gcc v: 8.2.1 Desktop: Gnome 3.30.2 
  Distro: Fedora release 29 (Twenty Nine) 
Machine:
  Type: N/A System: HP product: HP Spectre x360 Convertible v: N/A 
  serial: <filter> 
  Mobo: HP model: 804E v: 33.24 serial: <filter> UEFI: American Megatrends 
  v: F.51 date: 06/20/2018 
Battery:
  ID-1: BAT0 charge: 48.2 Wh condition: 48.9/48.9 Wh (100%) 
  model: Hewlett-Packard Primary status: Charging 
CPU:
  Topology: Dual Core model: Intel Core i5-6200U bits: 64 type: MT MCP 
  arch: Skylake rev: 3 L2 cache: 3072 KiB 
  flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 19200 
  Speed: 801 MHz min/max: 400/2800 MHz Core speeds (MHz): 1: 818 2: 813 
  3: 856 4: 840 
Graphics:
  Device-1: Intel Skylake GT2 [HD Graphics 520] driver: i915 v: kernel 
  bus ID: 00:02.0 
  Display: wayland server: Fedora Project X.org 1.20.3 driver: i915 
  resolution: 1920x1080~60Hz 
  OpenGL: renderer: Mesa DRI Intel HD Graphics 520 (Skylake GT2) 
  v: 4.5 Mesa 18.2.4 direct render: Yes 
Audio:
  Device-1: Intel Sunrise Point-LP HD Audio driver: snd_hda_intel v: kernel 
  bus ID: 00:1f.3 
  Sound Server: ALSA v: k4.19.3-300.fc29.x86_64 
Network:
  Device-1: Intel Wireless 7265 driver: iwlwifi v: kernel port: f040 
  bus ID: 02:00.0 
  IF: wlo1 state: up mac: <filter> 
Drives:
  Local Storage: total: 238.47 GiB used: 49.31 GiB (20.7%) 
  ID-1: /dev/sda vendor: A-Data model: AXNS381E-256GM-B size: 238.47 GiB 
  temp: 28 C 
Partition:
  ID-1: / size: 48.97 GiB used: 26.31 GiB (53.7%) fs: ext4 dev: /dev/dm-0 
  ID-2: /boot size: 975.9 MiB used: 193.7 MiB (19.9%) fs: ext4 
  dev: /dev/sda2 
  ID-3: /home size: 175.63 GiB used: 22.79 GiB (13.0%) fs: ext4 
  dev: /dev/dm-2 
  ID-4: swap-1 size: 7.83 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/dm-1 
Sensors:
  System Temperatures: cpu: 30.0 C mobo: N/A 
  Fan Speeds (RPM): N/A 
Info:
  Processes: 207 Uptime: 54m Memory: 7.70 GiB used: 1.44 GiB (18.7%) 
  Init: systemd runlevel: 5 Compilers: gcc: 8.2.1 Shell: fish v: 2.7.1 
  inxi: 3.0.26 

%

dmesg | grep Error:

[    6.537574] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.537581] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.537591] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.537655] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.537659] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.537665] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.537710] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.537713] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.537720] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.537953] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.537957] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.537963] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.538007] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.538011] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.538017] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)

%

Comment 17 Luya Tshimbalanga 2018-12-13 08:10:45 UTC
I confirm the issue can be reproduced with another HP device, in this case Envy x360 Convertible laptop running on kernel 4.19.7

dmesg | grep Error
[    1.275414] RAS: Correctable Errors collector initialized.
[    4.957640] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    4.957647] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    4.957655] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    4.957701] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    4.957705] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    4.957710] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    4.957755] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    4.957759] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    4.957764] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    4.958354] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    4.958358] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    4.958365] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    4.958513] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    4.958517] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    4.958523] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)

Comment 18 Serdar Sağlam 2018-12-20 04:14:25 UTC
hi, Hp device
Amd a10 9600p
dmesg | grep Error
[    3.546921] RAS: Correctable Errors collector initialized.
[    9.979321] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    9.979438] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    9.979484] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    9.979764] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    9.979872] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    9.988903] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    9.989220] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    9.989318] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    9.989358] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    9.990180] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    9.990274] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    9.990312] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    9.990557] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180531/dsopcode-201)
[    9.990646] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180531/psparse-516)
[    9.990682] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180531/psparse-516)

Comment 19 Luya Tshimbalanga 2018-12-29 19:10:01 UTC
Created attachment 1517366 [details]
acpidump data from HP Envy x360 15-cp0xxx

Attached acpidump as listed on upstream bug report

Comment 20 Talha Khan 2019-01-16 21:50:09 UTC
Still happening on Kernel 4.19.14-300.fc29.x86_64 on HP Envy x360 with AMD Ryzen 5 2500U APU:

dmesg output:

[    5.849164] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)                                                                                                  
[    5.849171] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.849179] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.849231] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)                                                                                                  
[    5.849235] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.849241] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.849289] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)                                                                                                  
[    5.849293] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.849299] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.849380] input: HP WMI hotkeys as /devices/virtual/input/input25
[    5.849601] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)                                                                                                  
[    5.849607] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.849617] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.849675] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)                                                                                                  
[    5.849679] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.849686] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)

Comment 21 Talha Khan 2019-01-23 16:23:42 UTC
Still happening on Kernel 4.19.15-300.fc29.x86_64, BIOS updated from F.17 to F.20 on HP Envy x360 with AMD Ryzen 5 2500U APU:

dmesg output:

[    6.708144] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)                                                                                                  
[    6.708150] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.708158] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.708203] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)                                                                                                  
[    6.708206] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.708212] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.708255] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.708258] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.708263] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.708320] input: HP WMI hotkeys as /devices/virtual/input/input25
[    6.710035] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.710040] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.710047] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.710092] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    6.710095] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    6.710100] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)

Comment 22 Serdar Sağlam 2019-01-23 17:04:31 UTC
Hp Device
Amd A10 9600P Cpu
R5 + R7 Apu Gpu
Kernel: 4.20.4

I've tried all the kernel versions that have come up to this day.

dmesg | grep Error
[    1.866329] RAS: Correctable Errors collector initialized.
[   11.573006] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20181003/dsopcode-201)
[   11.573017] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20181003/psparse-516)
[   11.573028] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20181003/psparse-516)
[   11.573096] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20181003/dsopcode-201)
[   11.573101] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20181003/psparse-516)
[   11.573110] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20181003/psparse-516)
[   11.573186] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20181003/dsopcode-201)
[   11.573191] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20181003/psparse-516)
[   11.573200] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20181003/psparse-516)
[   11.573530] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20181003/dsopcode-201)
[   11.573536] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20181003/psparse-516)
[   11.573545] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20181003/psparse-516)
[   11.573610] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20181003/dsopcode-201)
[   11.573615] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20181003/psparse-516)
[   11.573623] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20181003/psparse-516)

Comment 23 Serdar Sağlam 2019-01-23 17:12:15 UTC
All amd processors have this error

Comment 24 Serdar Sağlam 2019-02-20 20:03:37 UTC
Fedora 30 Raw
[serdar@localhost Masaüstü]$ uname -a
Linux Fedora 5.0.0-0.rc6.git1.1.fc30.x86_64 #1 SMP Wed Feb 13 15:51:45 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

[serdar@fedora Masaüstü]$ dmesg | grep Error
[    4.101815] RAS: Correctable Errors collector initialized.
[   21.486478] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20181213/dsopcode-197)
[   21.486502] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20181213/psparse-529)
[   21.486540] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20181213/psparse-529)
[   21.486758] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20181213/dsopcode-197)
[   21.486774] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20181213/psparse-529)
[   21.486809] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20181213/psparse-529)
[   21.487054] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20181213/dsopcode-197)
[   21.487070] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20181213/psparse-529)
[   21.487104] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20181213/psparse-529)
[   21.489092] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20181213/dsopcode-197)
[   21.489115] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20181213/psparse-529)
[   21.489154] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20181213/psparse-529)
[   21.489374] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20181213/dsopcode-197)
[   21.489389] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20181213/psparse-529)
[   21.489422] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20181213/psparse-529)

Comment 25 Talha Khan 2019-03-01 16:35:55 UTC
Still occuring on Fedora 29 with kernel 4.20.12-200.fc29.x86_64:

AMD Ryzen 5 2500U APU

[user@domain ~]$ dmesg | grep Error
[    1.294724] RAS: Correctable Errors collector initialized.
[    5.891713] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    5.891722] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.891730] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.891800] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    5.891806] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.891811] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.891856] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    5.891859] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.891864] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.892102] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    5.892105] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.892109] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.892142] ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20180810/dsopcode-201)
[    5.892144] ACPI Error: Method parse/execution failed \HWMC, AE_AML_BUFFER_LIMIT (20180810/psparse-516)
[    5.892148] ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20180810/psparse-516)

Comment 26 Luya Tshimbalanga 2019-03-02 07:34:04 UTC
Changed the release to rawhide as the bug is mainly upstream related.

Comment 27 Serdar Sağlam 2019-07-15 02:44:50 UTC
[serdar@archlinux Desktop]$ uname -a
Linux archlinux 5.2.0-arch2-1-ARCH #1 SMP PREEMPT Mon Jul 8 18:18:54 UTC 2019 x86_64 GNU/Linux


[    1.850472] RAS: Correctable Errors collector initialized.
[    4.843414] ACPI BIOS Error (bug): AE_AML_BUFFER_LIMIT, Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20190509/dsopcode-198)
[    4.843426] ACPI Error: Aborting method \HWMC due to previous error (AE_AML_BUFFER_LIMIT) (20190509/psparse-529)
[    4.843437] ACPI Error: Aborting method \_SB.WMID.WMAA due to previous error (AE_AML_BUFFER_LIMIT) (20190509/psparse-529)
[    4.843514] ACPI BIOS Error (bug): AE_AML_BUFFER_LIMIT, Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20190509/dsopcode-198)
[    4.843519] ACPI Error: Aborting method \HWMC due to previous error (AE_AML_BUFFER_LIMIT) (20190509/psparse-529)
[    4.843528] ACPI Error: Aborting method \_SB.WMID.WMAA due to previous error (AE_AML_BUFFER_LIMIT) (20190509/psparse-529)
[    4.843604] ACPI BIOS Error (bug): AE_AML_BUFFER_LIMIT, Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20190509/dsopcode-198)
[    4.843610] ACPI Error: Aborting method \HWMC due to previous error (AE_AML_BUFFER_LIMIT) (20190509/psparse-529)
[    4.843618] ACPI Error: Aborting method \_SB.WMID.WMAA due to previous error (AE_AML_BUFFER_LIMIT) (20190509/psparse-529)
[    4.844039] ACPI BIOS Error (bug): AE_AML_BUFFER_LIMIT, Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20190509/dsopcode-198)
[    4.844047] ACPI Error: Aborting method \HWMC due to previous error (AE_AML_BUFFER_LIMIT) (20190509/psparse-529)
[    4.844056] ACPI Error: Aborting method \_SB.WMID.WMAA due to previous error (AE_AML_BUFFER_LIMIT) (20190509/psparse-529)
[    4.844128] ACPI BIOS Error (bug): AE_AML_BUFFER_LIMIT, Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20190509/dsopcode-198)
[    4.844134] ACPI Error: Aborting method \HWMC due to previous error (AE_AML_BUFFER_LIMIT) (20190509/psparse-529)
[    4.844143] ACPI Error: Aborting method \_SB.WMID.WMAA due to previous error (AE_AML_BUFFER_LIMIT) (20190509/psparse-529)

Comment 28 Tom Cook 2019-11-04 12:11:43 UTC
Confirmed on 5.4.0-rc5, AMD 3700U, HP Envy x360 15-ds0502na.

Comment 29 Tom Cook 2019-11-04 12:12:55 UTC
[   11.581105] acpi-tad ACPI000E:00: Missing _PRW
[   11.583211] input: HP Wireless hotkeys as /devices/virtual/input/input17
[   11.587180] hp_accel: laptop model unknown, using default axes configuration
[   11.612048] lis3lv02d: unknown sensor type 0x0
[   11.612058] hp_accel: probe of HPQ6007:00 failed with error -22
[   11.662419] snd_pci_acp3x 0000:04:00.5: enabling device (0000 -> 0002)
[   11.662515] cfg80211: Loading compiled-in X.509 certificates for regulatory database
[   11.662614] snd_pci_acp3x 0000:04:00.5: Invalid ACP audio mode : 1
[   11.674419] cfg80211: Loaded X.509 cert 'sforshee: 00b28ddf47aef9cea7'
[   11.715256] ACPI BIOS Error (bug): AE_AML_BUFFER_LIMIT, Field [D128] at bit offset/length 128/1024 exc
eeds size of target Buffer (160 bits) (20190816/dsopcode-198)
[   11.715266] No Local Variables are initialized for Method [HWMC]
[   11.715268] Initialized Arguments for Method [HWMC]:  (2 arguments defined for method invocation)
[   11.715268]   Arg0:   00000000b6548a85 <Obj>           Integer 0000000000000002
[   11.715273]   Arg1:   000000008e6f28fa <Obj>           Buffer(20) 53 45 43 55 01 00 00 00
[   11.715279] ACPI Error: Aborting method \HWMC due to previous error (AE_AML_BUFFER_LIMIT) (20190816/psparse-529)
[   11.715288] ACPI Error: Aborting method \_SB.WMID.WMAA due to previous error (AE_AML_BUFFER_LIMIT) (20190816/psparse-529)
[   11.715362] ACPI BIOS Error (bug): AE_AML_BUFFER_LIMIT, Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20190816/dsopcode-198)
[   11.715373] No Local Variables are initialized for Method [HWMC]
[   11.715376] Initialized Arguments for Method [HWMC]:  (2 arguments defined for method invocation)
[   11.715377]   Arg0:   00000000b6548a85 <Obj>           Integer 0000000000000002
[   11.715381]   Arg1:   0000000090466629 <Obj>           Buffer(20) 53 45 43 55 01 00 00 00
[   11.715388] ACPI Error: Aborting method \HWMC due to previous error (AE_AML_BUFFER_LIMIT) (20190816/psparse-529)
[   11.715396] ACPI Error: Aborting method \_SB.WMID.WMAA due to previous error (AE_AML_BUFFER_LIMIT) (20190816/psparse-529)
[   11.715471] ACPI BIOS Error (bug): AE_AML_BUFFER_LIMIT, Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20190816/dsopcode-198)
[   11.715477] No Local Variables are initialized for Method [HWMC]
[   11.715479] Initialized Arguments for Method [HWMC]:  (2 arguments defined for method invocation)
[   11.715480]   Arg0:   00000000b6548a85 <Obj>           Integer 0000000000000002
[   11.715483]   Arg1:   000000008e6f28fa <Obj>           Buffer(20) 53 45 43 55 01 00 00 00
[   11.715491] ACPI Error: Aborting method \HWMC due to previous error (AE_AML_BUFFER_LIMIT) (20190816/psparse-529)
[   11.715501] ACPI Error: Aborting method \_SB.WMID.WMAA due to previous error (AE_AML_BUFFER_LIMIT) (20190816/psparse-529)
[   11.715558] input: HP WMI hotkeys as /devices/virtual/input/input18
[   11.720675] acer_wmi: Acer Laptop ACPI-WMI Extras
[   11.729942] rtw_pci 0000:02:00.0: enabling device (0000 -> 0003)
[   11.755227] kvm: Nested Virtualization enabled
[   11.755240] kvm: Nested Paging enabled
[   11.755241] SVM: Virtual VMLOAD VMSAVE supported
[   11.755241] SVM: Virtual GIF supported
[   11.755952] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   11.757772] ACPI BIOS Error (bug): AE_AML_BUFFER_LIMIT, Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20190816/dsopcode-198)
[   11.757782] No Local Variables are initialized for Method [HWMC]
[   11.757783] Initialized Arguments for Method [HWMC]:  (2 arguments defined for method invocation)
[   11.757784]   Arg0:   00000000b6548a85 <Obj>           Integer 0000000000000002
[   11.757790]   Arg1:   0000000090466629 <Obj>           Buffer(20) 53 45 43 55 01 00 00 00
[   11.757798] ACPI Error: Aborting method \HWMC due to previous error (AE_AML_BUFFER_LIMIT) (20190816/psparse-529)
[   11.757807] ACPI Error: Aborting method \_SB.WMID.WMAA due to previous error (AE_AML_BUFFER_LIMIT) (20190816/psparse-529)
[   11.757883] ACPI BIOS Error (bug): AE_AML_BUFFER_LIMIT, Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20190816/dsopcode-198)
[   11.757889] No Local Variables are initialized for Method [HWMC]
[   11.757891] Initialized Arguments for Method [HWMC]:  (2 arguments defined for method invocation)
[   11.757892]   Arg0:   00000000b6548a85 <Obj>           Integer 0000000000000003
[   11.757895]   Arg1:   000000008e6f28fa <Obj>           Buffer(20) 53 45 43 55 01 00 00 00
[   11.757901] ACPI Error: Aborting method \HWMC due to previous error (AE_AML_BUFFER_LIMIT) (20190816/psparse-529)
[   11.757908] ACPI Error: Aborting method \_SB.WMID.WMAA due to previous error (AE_AML_BUFFER_LIMIT) (20190816/psparse-529)

Though note this is not a Fedora system.

Comment 30 Hans de Goede 2019-11-27 13:37:30 UTC
I've recently hit this seem issue, this is caused by the hp-wmi driver passing a buffer which is not big enough when making WMI related ACPI calls. I've submitted a patch-series which fixes this upstream:

https://lore.kernel.org/patchwork/project/lkml/list/?series=419906

Comment 31 Ben Cotton 2019-11-27 14:16:08 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 32 Ben Cotton 2019-11-27 14:31:14 UTC
This bug was accidentally closed due to a query error. Reopening.

Comment 33 Luya Tshimbalanga 2019-11-27 16:30:25 UTC
(In reply to Hans de Goede from comment #30)
> I've recently hit this seem issue, this is caused by the hp-wmi driver
> passing a buffer which is not big enough when making WMI related ACPI calls.
> I've submitted a patch-series which fixes this upstream:
> 
> https://lore.kernel.org/patchwork/project/lkml/list/?series=419906

Thank you for the fix. Will it be possible to get them on the next kernel update given the circumstance?

Comment 34 Hans de Goede 2019-11-27 19:28:19 UTC
(In reply to Luya Tshimbalanga from comment #33)
> Thank you for the fix. Will it be possible to get them on the next kernel
> update given the circumstance?

These warnings look scary, but they are mostly harmless. One negative side-effect of them is that the hp-wmi driver fails to load. Having it loaded might give os some extra hotkeys (if there are any which are currently not working) other then that it will not gain us much. OTOH loading the driver where it did not load before may itself have negative side effects, so I would rather have these patches mature a bit upstream first.  At a minimum they should hit -next before we add them to the Fedora kernels.

Comment 35 Luya Tshimbalanga 2019-11-28 09:11:39 UTC
(In reply to Hans de Goede from comment #34)
> (In reply to Luya Tshimbalanga from comment #33)
> > Thank you for the fix. Will it be possible to get them on the next kernel
> > update given the circumstance?
> 
> These warnings look scary, but they are mostly harmless. One negative
> side-effect of them is that the hp-wmi driver fails to load. Having it
> loaded might give os some extra hotkeys (if there are any which are
> currently not working) other then that it will not gain us much. OTOH
> loading the driver where it did not load before may itself have negative
> side effects, so I would rather have these patches mature a bit upstream
> first.  At a minimum they should hit -next before we add them to the Fedora
> kernels.

Hmm, maybe that explains a slight delay of batteries status charging when plugging to the power. Speaking about the keyboard, I noticed the shortcuts for multimedia on GNOME Shell were left unassigned even though they work as intended. Hopefully the fix addresses one of these side effects. Would you mind closing upstream bug report? Thanks.

Comment 36 Tom Cook 2019-11-28 11:49:16 UTC
Does this also affect the hinge switch on convertible models?  Folding the lid back past a certain angle triggers a switch that Windows uses to put the device into a (fairly awful) tablet mode - it'd be useful to use this switch to disable the keyboard / touchpad when the laptop is being used as a tablet.

Comment 37 Hans de Goede 2019-11-29 10:13:43 UTC
(In reply to Luya Tshimbalanga from comment #35)
> Hmm, maybe that explains a slight delay of batteries status charging when
> plugging to the power. Speaking about the keyboard, I noticed the shortcuts
> for multimedia on GNOME Shell were left unassigned even though they work as
> intended. Hopefully the fix addresses one of these side effects. Would you
> mind closing upstream bug report? Thanks.

I do not expect either of these issues to be related to the HP-wmi module.

(In reply to Tom Cook from comment #36)
> Does this also affect the hinge switch on convertible models?  Folding the
> lid back past a certain angle triggers a switch that Windows uses to put the
> device into a (fairly awful) tablet mode - it'd be useful to use this switch
> to disable the keyboard / touchpad when the laptop is being used as a tablet.

The HP WMI interface does have some bits to report tablet mode. So I guess this might effect reporting of SW_TABLET_MODE events on some convertibles. Note that userspace currently does not do much with these events, but getting them reported is a first step.

Comment 38 Hans de Goede 2019-12-03 22:20:45 UTC
The patches for this have been added to the 5.3.z and 5.4.z stable kernel tree, so the next time the Fedora kernel pick up a new stable release the fixes for this will be included.

Comment 39 Luya Tshimbalanga 2019-12-06 08:56:41 UTC
The fix just landed on kernel-5.3.15-300 as per announcement: https://lwn.net/Articles/806395/

Comment 40 Luya Tshimbalanga 2019-12-06 09:13:06 UTC
Created attachment 1642586 [details]
dmesg from amd raven ridge Ryzen 2500u

Result dmesg showing the error message not longer show. Only minor details on this line:
 hp_wmi: query 0xd returned error 0x5

Not sure what it is exactly

Comment 41 Hans de Goede 2019-12-06 10:33:40 UTC
(In reply to Luya Tshimbalanga from comment #40)
> Result dmesg showing the error message not longer show. Only minor details
> on this line:
>  hp_wmi: query 0xd returned error 0x5

Hmm, that means that the HPWMI_FEATURE2_QUERY fails with a HPWMI_RET_INVALID_PARAMETERS error. I wonder why though.

Can you create an acpidump of your machine:

acpidump -o acpidump

And then attach the generated "acpidump: file here please?

Comment 42 Luya Tshimbalanga 2019-12-06 16:24:22 UTC
Created attachment 1642671 [details]
acpidump from HP Envy x360 15-cp0xxx

Certainly. Here is the generated acpidump

Comment 43 Luya Tshimbalanga 2019-12-07 00:55:17 UTC
(In reply to Tom Cook from comment #36)
> Does this also affect the hinge switch on convertible models?  Folding the
> lid back past a certain angle triggers a switch that Windows uses to put the
> device into a (fairly awful) tablet mode - it'd be useful to use this switch
> to disable the keyboard / touchpad when the laptop is being used as a tablet.

Some convertibles like HP Envy x360 Ryzen 15-cp0xxx miss the gyroscope iio driver to run such function. AMD FCH team are working on cleaning up the code based on reviews.

Comment 44 Hans de Goede 2019-12-17 15:46:13 UTC
(In reply to Luya Tshimbalanga from comment #42)
> Created attachment 1642671 [details]
> acpidump from HP Envy x360 15-cp0xxx
> 
> Certainly. Here is the generated acpidump

Thank you. It looks like the buffer passed in for the HPWMI_FEATURE2_QUERY call is too small. I've written a kernel patch fixing this.

I've started a kernel scratch-build fixing this:
https://koji.fedoraproject.org/koji/taskinfo?taskID=39690950

Note this is still building atm, it should be done in a couple of hours.

See here for generic instructions for installing a kernel directly from koji:
https://fedorapeople.org/~jwrdegoede/kernel-test-instructions.txt

Note if you not have time to test right away, please at least download the files indicated in the instructions, test builds get removed after a couple of days to cleanup disk-space.

Please let me know if this fixes the error. Other then silencing the error I do not expect any functional change from this change.

Comment 45 Serdar Sağlam 2019-12-17 18:18:49 UTC
Thank you friends

Fixed a longtime bug, ACPI Errors bugs fixed

[serdar@archlinux Desktop]$ uname -a
Linux archlinux 5.4.3-arch1-1 #1 SMP PREEMPT Fri, 13 Dec 2019 09:39:02 +0000 x86_64 GNU/Linux

[serdar@archlinux Desktop]$ dmesg | grep Error
[    1.790415] RAS: Correctable Errors collector initialized.

Comment 46 Luya Tshimbalanga 2019-12-18 01:25:16 UTC
Created attachment 1645970 [details]
dmesg from amd raven ridge Ryzen 2500u with fixed bug

(In reply to Hans de Goede from comment #44)
> (In reply to Luya Tshimbalanga from comment #42)
> > Created attachment 1642671 [details]
> > acpidump from HP Envy x360 15-cp0xxx
> > 
> > Certainly. Here is the generated acpidump
> 
> Thank you. It looks like the buffer passed in for the HPWMI_FEATURE2_QUERY
> call is too small. I've written a kernel patch fixing this.
..snip..
> 
> Please let me know if this fixes the error. Other then silencing the error I
> do not expect any functional change from this change.

Following the instruction and running the test kernel with disabled secure boot, the attached dmesg log reports the error no longer occurs even after three reboots. The issue seems resolved.

Comment 47 Hans de Goede 2019-12-18 06:11:48 UTC
Thank you both for testing. I've submitted the fix upstream with a Cc: stable, so it should show up in the Fedora kernels in a couple of weeks.

Comment 48 Luya Tshimbalanga 2020-01-06 07:32:41 UTC
The fix landed on kernel-5.4.7. I guess this report can be closed. Thanks Hans and friends.

Comment 49 Hans de Goede 2020-01-06 08:16:32 UTC
(In reply to Luya Tshimbalanga from comment #48)
> The fix landed on kernel-5.4.7. I guess this report can be closed. Thanks
> Hans and friends.

Thank you for testing this with 5.4.7, closing.

Comment 50 Jeffrey Walton 2020-05-02 04:55:20 UTC
Add a mee too. I'm using Fedora 32 Server on HP ProLiant DL360 G5. The machine is fully patched.

Fedora 32 Server was released April 28, 2020. It provides 5.6.7-300.fc32.x86_64, but the issue is still present.

The kernel folks say they fixed the issue at https://bugzilla.kernel.org/show_bug.cgi?id=201981.


Note You need to log in before you can comment on or make changes to this bug.